Solved: AWS4-HMAC-SHA256 encryption error while updating S3 bucket

The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.

Above error means that you are trying to do activity on a bucket in a region which doesn’t support AWS4-HMAC-SHA256 encryption.

Some of the new AWS regions do not support AWS4-HMAC-SHA256.

So if you have created the bucket in regions like Frankfurt or Mumbai you may see this error.

AWS in future may fix this issue. But, till that time you can try to create the bucket in another older region in US and continue working.